#include <avr/io.h>
#include <avr/interrupt.h>
#define F_CPU 1000000UL //processor frequency 1MHz
#include <util/delay.h>

#include <stdbool.h>

#define output_low(port,pin) port &= ~(1<<pin)
#define output_high(port,pin) port |= (1<<pin)
#define set_input(portdir,pin) portdir &= ~(1<<pin)
#define set_output(portdir,pin) portdir |= (1<<pin)

int main(void)
{
	set_output(DDRB, PB0);
	set_output(DDRB, PB1);
	set_output(DDRB, PB2);
	
	output_high(PORTB, PB0);
	output_high(PORTB, PB1);
	output_high(PORTB, PB2);
	
	while(1);
	return 0;
}